{ config, ... }:

{
  services.mosquitto = {
    enable = true;
    host = "0.0.0.0";
    users = {
      wordclock = {
        acl = [
          "topic readwrite wordclock/color/+"
        ];
        password = "ymfQkXcEqGuk62SH";
      };
    };
  };

  networking.firewall.allowedTCPPorts = [ 1883 ];

  services.wordclock-dimmer = {
    enable = true;
    mqtt = {
      user = "wordclock";
      password = config.services.mosquitto.users.wordclock.password;
      host = "localhost";
    };
  };
}
